import { Injectable } from '@angular/core';

export type SpecialistData = {
  id: number,
  imageSrc: string,
  name: string,
  position: string,
  about: string
}

@Injectable({
  providedIn: 'root',
})
export class TeamService {
  public teamData: SpecialistData[] = [];
  public specialistNames: string[] = [];

  constructor() {
    this.teamData = [
      {
        id: 1,
        imageSrc: 'assets/4.svg',
        name: 'Михайлушкина Евгения Николаевна',
        position: 'Директор, главный врач, врач-стоматолог-терапевт',
        about: `Диплом: Волгоградский государственный медицинский институт, 1977, серия В-I №416364
        Специальность – Стоматология
         Квалификация – Врач стоматолог
    Сертификат: Стоматология терапевтическая, №1177241890425, 01.02.2019 (срок действия до 01.02.2024);
    Организация здравоохранения и общественное здоровье, №1177241698048,
      03.07.2018 (срок действия до 03.07.2023)`,
      },
      {
        id: 2,
        imageSrc: 'assets/3.svg',
        name: 'Михайлушкин Николай Васильевич',
        position: 'Врач стоматолог-терапевт, стоматолог-ортопед, стоматолог-хирург',
        about: `Диплом: Государственное образовательное учреждение высшего профессионального образования «Волгоградский государственный медицинский университет Федерального агентства по здравоохранению и социальному развитию», 2010, серия ВСГ №4633911
Специальность – Стоматология
Квалификация – Врач стоматолог
Сертификат: Стоматология терапевтическая, № 1177242329844, 25.03.2020
(срок действия до 25.03.2025);
Стоматология ортопедическая, № 1109241574306, 29.03.2018 Стоматология хирургическая, № 1118310523540, 18.12.2019
(срок действия до 18.12.2024)`,
      },
      {
        id: 3,
        imageSrc: 'assets/9.svg',
        name: 'Михайлушкина Юлия Дмитриевна',
        position: 'Врач стоматолог-терапевт, стоматолог-ортопед',
        about: `Диплом: ФГБОУ ВО «Волгоградский государственный медицинский университет Министерства здравоохранения Российской Федерации, 2017, серия 103431 №0034710
Специальность – Стоматология
Квалификация – Врач-стоматолог
Сертификат: Стоматология терапевтическая, №1118310523542, 18.12.2019 (срок действия до 18.12.2024);
Стоматология ортопедическая, серия 013427 №0001697,  05.07.2019 (срок действия до 05.07.2024)`,
      },
      {
        id: 4,
        imageSrc: 'assets/8.svg',
        name: 'Чеботарева Екатерина Сергеевна',
        position: 'Врач-стоматолог-терапевт',
        about: `Диплом: Государственное образовательное учреждение высшего профессионального образования «Волгоградский государственный медицинский университет Федерального агентства по здравоохранению и социальному развитию», 2010, серия ВСГ №4633877
Специальность – Стоматология
Квалификация – Врач-стоматолог
Сертификат: Стоматология терапевтическая, №1118310523539, 30.12.2020
(срок действия до 30.12.2025);`,
      },
      {
        id: 5,
        imageSrc: 'assets/5.svg',
        name: 'Муравьева Юлия Васильевна',
        position: 'Врач стоматолог-терапевт, стоматолог-ортопед, стоматолог-хирург',
        about: `Диплом: Государственное образовательное учреждение высшего профессионального образования «Волгоградский государственный медицинский университет Федерального агентства по здравоохранению и социальному развитию», 2010, серия ВСГ №4633886
Сертификат: Стоматология терапевтическая, №1177241890426,
01.02.2019 (срок действия до 01.02.2024);
Стоматология ортопедическая, №1177242329755, 20.03.2020
(срок действия до 20.03.2025);
Стоматология хирургическая, №1118310523541, 18.12.2019 (срок действия до 18.12.2024)`,
      },
      {
        id: 6,
        imageSrc: 'assets/1.svg',
        name: 'Волоцкова Ольга Петровна',
        position: 'Врач-стоматолог-терапевт, стоматолог детский',
        about: `Диплом: Волгоградский медицинский институт, 1991, серия РВ №392649
Специальность – Стоматология
Квалификация – Врач-стоматолог
Сертификат: Стоматология терапевтическая, № 1178242879298, 30.12.2020
(срок действия до 30.12.2025);
Стоматология детская, № 1178242879297, 01.12.2020
(срок действия до 01.12.2025)`,
      },
      {
        id: 7,
        imageSrc: 'assets/2.svg',
        name: 'Липатова Евгения Алексеевна',
        position: 'Медицинская сестра, рентгенолаборант',
        about: `Диплом: Волжское медицинское училище Волгоградского облздравотдела, 1990, серия МТ №485885
Специальность – Акушерское дело
Квалификация – Акушерка
Сертификат: Сестринское дело, №1177241698049, 03.07.2018 (срок действия до 03.07.2023)
Рентгенология, №1177241889914, 11.12.2018
(срок действия до 11.12.2018)`,
      },
      {
        id: 8,
        imageSrc: 'assets/7.svg',
        name: 'Минаев Роман Евгеньевич',
        position: 'Врач стоматолог-терапевт, стоматолог-хирург',
        about: `Диплом: Волгоградский медицинский институт, 1996, серия ЦВ №440781
Специальность – Стоматология
Квалификация – Врач стоматолог
Сертификат: Стоматология терапевтическая, №1177270015728, 26.11.2020 (срок действия до 26.11.2025);
Стоматология хирургическая, №1177241890114,
28.12.2018 (срок действия до 28.12.2023)
`,
      },
    ];
    this.specialistNames = this.teamData.map((res) => res.name);
  }
}
